libzypp 17.37.10

zypp::repo::RepoVariablesUrlReplacer Struct Reference

Functor replacing repository variables. More...

`#include <zypp/repo/RepoVariables.h>`

## Public Member Functions
Url | operator() (const Url &url_r) const

## Detailed Description

Functor replacing repository variables.

Replaces repository variables in the URL (except for user/pass inside authority)

See also
  RepoVariablesStringReplacer

Definition at line 119 of file RepoVariables.h.

## Member Function Documentation

## ◆ operator()()

Url zypp::repo::RepoVariablesUrlReplacer::operator() | ( | const Url & | url_r | ) | const

Definition at line 567 of file RepoVariables.cc.

The documentation for this struct was generated from the following files:

- zypp/repo/RepoVariables.h
- zypp/repo/RepoVariables.cc